
package de.ivu.elect.business.internet.control;

import java.io.Serializable;

import de.ivu.elect.business.ergebnis.entity.Ergebnis;
import de.ivu.elect.business.ergebnis.entity.Praesentationsexportausloeser;
import de.ivu.elect.business.wahl.entity.Wahldurchfuehrung;

public class PraesentationExportContext implements Serializable {

  private static final long serialVersionUID = 1L;

  private final Wahldurchfuehrung wahldurchfuehrung;

  private final Ergebnis ergebnis;

  private final Praesentationsexportausloeser praesentationsexportausloeser;

  public PraesentationExportContext(Wahldurchfuehrung wahldurchfuehrung, Ergebnis ergebnis,
                                    Praesentationsexportausloeser praesentationsexportausloeser) {
    this.wahldurchfuehrung = wahldurchfuehrung;
    this.ergebnis = ergebnis;
    this.praesentationsexportausloeser = praesentationsexportausloeser;
  }

  public Ergebnis getErgebnis() {
    return ergebnis;
  }

  public Wahldurchfuehrung getWahldurchfuehrung() {
    return wahldurchfuehrung;
  }

  public Praesentationsexportausloeser getPraesentationsexportausloeser() {
    return praesentationsexportausloeser;
  }
}
